Groovy 1.7.10

## groovy.jmx.builder
[Groovy] Class JmxBeanInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxBeanInfoManager

    class JmxBeanInfoManager
    extends Object

The JmxBeanInfoManager creates fully-described model mbean info object using the underlying meta map. The MBeanInfo object is used to provide description about the actual exported MBean instance.

Authors:
  Vladimir Vivien

Method Summary
`static ObjectName` | `buildDefaultObjectName(String defaultDomain, String defaultType, def object)` Builds a default JMX ObjectName instance using meta data from object.
`static ModelMBeanInfo` | `getModelMBeanInfoFromMap(Map map)` Returns a fully-realized ModelMBeanInfo object from info gathered from the associated meta map.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### buildDefaultObjectName

    static ObjectName buildDefaultObjectName(String defaultDomain, String defaultType, def object)

  Builds a default JMX ObjectName instance using meta data from object.
  Parameters:
    `object` - used for name
  Returns:
    an instance of ObjectName

### getModelMBeanInfoFromMap

    static ModelMBeanInfo getModelMBeanInfoFromMap(Map map)

  Returns a fully-realized ModelMBeanInfo object from info gathered from the associated meta map.
  Parameters:
    `meta` - map of object
  Returns:
    ModelMBeanInfo built from map

Copyright © 2003-2010 The Codehaus. All rights reserved.